Subject: Re: bug#53729: 29.0.50; Tamil text not shaped in modeline

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Feb 2022 18:44:21 +0200

> From: Visuwesh <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 13 Feb 2022 20:26:17 +0530
> 
> >> and the buffer name in the modeline has the right shaping!  This is the
> >> case for _every_ font I tried: including Noto Serif Tamil.  But if I
> >> open a file named "அக்னிச்சிறகுகள்.pdf", the shaping is as in the OP.
> >
> > What happens if you turn off auto-composition mode before repeating
> > the above experiment?  Do you see any difference in the buffer name
> > produced by you and the buffer name produced by Emacs when visiting
> > that file?
> 
> If I turn off global-auto-composition-mode and do the above, none of the
> text is shaped i.e., the buffer name produced by me and the buffer name
> produced by Emacs both are not shaped.

Of course they aren't shaped: turning off auto-composition-mode
disables the shaping.  I'm asking whether both the buffer name
produced by you and the buffer name produced by visiting that file
look identical on the mode line, or do they somehow differ?  If they
do differ, what is the difference?

> I did this out of curiosity: in dired, I typed C M-n when over the file
> and added ".1" to the end of new file name, and when I visit this file,
> the buffer name is shaped properly.  [ The new filename is
> அக்னிச்சிறகுகள்.pdf.1 ]

So you are saying that changing the file-name extension affects the
shaping on the mode line?

> I'm not sure if this has to do with the filename since when I yank the
> file name from dired and create an empty file (M-x
> dired-create-empty-file) by that name in another directory and visit it,
> Emacs shapes the buffer name properly.

Very strange.  Is that the only file name with such problems?  It
sounds like maybe its file name has more than meets the eye (which is
one reason why I asked you to disable auto-composition-mode).